ValueAggregatorJobBase (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib.aggregate
Class ValueAggregatorJobBase<K1 extends WritableComparable,V1 extends Writable>

    java.lang.Object
      org.apache.hadoop.mapred.lib.aggregate.ValueAggregatorJobBase<K1,V1>

All Implemented Interfaces:
  Closeable, JobConfigurable, Mapper<K1,V1,Text,Text>, Reducer<Text,Text,Text,Text>

Direct Known Subclasses:
  ValueAggregatorCombiner, ValueAggregatorMapper, ValueAggregatorReducer

    public abstract class ValueAggregatorJobBase<K1 extends WritableComparable,V1 extends Writable>

extends Object
implements Mapper<K1,V1,Text,Text>, Reducer<Text,Text,Text,Text>

This abstract class implements some common functionalities of the the generic mapper, reducer and combiner classes of Aggregate.

Field Summary
`protected ArrayList<ValueAggregatorDescriptor>` | `aggregatorDescriptorList`

Constructor Summary
`ValueAggregatorJobBase()`

Method Summary
`void` | `close()`
`void` | `configure(JobConf job)` Initializes a new instance from a `JobConf`.
`protected void` | `logSpec()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.Mapper
`map`

Methods inherited from interface org.apache.hadoop.mapred.Reducer
`reduce`

Field Detail

### aggregatorDescriptorList

    protected ArrayList<ValueAggregatorDescriptor> aggregatorDescriptorList

Constructor Detail

### ValueAggregatorJobBase

    public ValueAggregatorJobBase()

Method Detail

### configure

    public void configure(JobConf job)

  Description copied from interface: `JobConfigurable`
  Initializes a new instance from a `JobConf`.

  Specified by:
    `configure` in interface `JobConfigurable`
  Parameters:
    `job` - the configuration

### logSpec

    protected void logSpec()

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation